#!/usr/bin/python

import psycopg2
import sys


def main():

    conn = psycopg2.connect("dbname=testdb user=testdbuser host=127.0.0.1 password=testdbuser port=5432")
    cur = conn.cursor()

    cur.execute("SELECT id FROM fax_rxfax;")
    while True:
        res = cur.fetchmany(100)
        if not res:
            break
        for record in res:
            print record[0]
            cur2 = conn.cursor()
            cur2.execute("""UPDATE fax_rxfax SET ocr_text = '' WHERE id = %s;""", record)
            cur2.execute("""UPDATE fax_rxfax SET search_index = setweight( to_tsvector( 'pg_catalog.english', coalesce("ocr_text",'') ), 'A' ) || setweight( to_tsvector( 'pg_catalog.english', coalesce("caller_id",'') ), 'A' ) || setweight( to_tsvector( 'pg_catalog.english', coalesce("remote_id",'') ), 'A' ) WHERE id = %s;""", record)
            conn.commit()
    conn.commit()

if __name__ == '__main__':
    main()
